Update a credit note
Changes the note printed on a credit note, or its metadata. Amounts never change.
Changes the note printed on a credit note, or its metadata. Amounts never change.
Authorization
api-key AuthorizationBearer <token>
API key for merchant integrations. Send as Authorization: Bearer <your key>.
In: header
Path Parameters
id*string
Credit note ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/credit-notes/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "cn_3Nf8a2kLmPq9", "object": "credit_note", "number": "INV-000012-CN1", "status": "issued", "type": "pre_payment", "invoiceId": "string", "customerId": "string", "currency": "EGP", "reason": "duplicate", "memo": "string", "effectiveAt": "string", "lines": [ { "id": "cnli_3Nf8a2kLmPq9", "object": "credit_note_line_item", "type": "invoice_line_item", "invoiceLineItemId": "string", "description": "string", "quantity": 0, "unitAmount": -9007199254740991, "amount": -9007199254740991, "discountAmount": -9007199254740991, "taxes": [ null ] } ], "amount": -9007199254740991, "amountShipping": -9007199254740991, "discountAmount": -9007199254740991, "subtotal": -9007199254740991, "subtotalExcludingTax": -9007199254740991, "total": -9007199254740991, "totalExcludingTax": -9007199254740991, "totalTaxes": [ { "amount": -9007199254740991, "taxableAmount": -9007199254740991, "taxBehavior": "exclusive", "taxRateDetails": {} } ], "prePaymentAmount": -9007199254740991, "postPaymentAmount": -9007199254740991, "outOfBandAmount": -9007199254740991, "refunds": [ { "refundId": "string", "amountRefunded": -9007199254740991 } ], "customerBalanceTransactionId": "string", "voidedAt": "string", "metadata": { "property1": null, "property2": null }, "merchantId": "string", "createdAt": "string", "updatedAt": "string"}